Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Removed mongoid as a dependency

  • Loading branch information...
commit a72335bda4f8949453ebd0ce6741c2edd399022a 1 parent ba2b215
@azisaka azisaka authored
View
16 Gemfile.lock
@@ -1,35 +1,21 @@
PATH
remote: .
specs:
- ruby-duration (2.0.0)
+ ruby-duration (2.0.1)
activesupport (>= 3.0.0)
i18n
- mongoid (>= 2.1.0)
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.0.9)
- activesupport (= 3.0.9)
- builder (~> 2.1.2)
- i18n (~> 0.5.0)
activesupport (3.0.9)
bluecloth (2.0.9)
- bson (1.3.1)
- builder (2.1.2)
i18n (0.5.0)
minitest (1.7.2)
- mongo (1.3.1)
- bson (>= 1.3.1)
- mongoid (2.1.4)
- activemodel (~> 3.0)
- mongo (~> 1.3)
- tzinfo (~> 0.3.22)
rake (0.8.7)
simplecov (0.3.6)
simplecov-html (>= 0.3.7)
simplecov-html (0.3.8)
- tzinfo (0.3.29)
yard (0.6.1)
PLATFORMS
View
1  README.md
@@ -37,6 +37,7 @@ Show me the code
Duration.new(:weeks => 1, :days => 20).iso8601 => "P3W6DT0H0M0S"
### Mongoid support
+The current version of this gem supports Mongoid >= [2.1.0](https://github.com/mongoid/mongoid). For lower Mongoid versions try the tag [v1.0.0](https://github.com/peleteiro/ruby-duration/tree/v1.0.0)
require 'duration/mongoid'
View
2  lib/duration/version.rb
@@ -1,3 +1,3 @@
class Duration
- VERSION = "2.0.1"
+ VERSION = "2.0.2"
end
View
1  ruby-duration.gemspec
@@ -16,7 +16,6 @@ Gem::Specification.new do |s|
s.add_dependency "activesupport", ">= 3.0.0"
s.add_dependency "i18n", ">= 0"
- s.add_dependency "mongoid", ">= 2.1.0"
s.add_development_dependency "bundler", ">= 1.0.0"
s.add_development_dependency "minitest", ">= 0"
Please sign in to comment.
Something went wrong with that request. Please try again.